> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/17.-soildatasets.md).

# 17. क्वेरी: "SoilDatasets" प्राप्त करें

चयनित "Field" के लिए सभी "SoilDatasets" प्राप्त करें। डेटासेट्स को सामान्य GraphQL क्वेरीज़ जैसे `getFarms` और `getFields` से जुड़े हुए "Field" से लाया जा सकता है।&#x20;

{% hint style="warning" %}
एक "SoilDataset" को पहले से अपलोड किया जाना चाहिए।
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #pattern "<OperationType> <YYYY-mm-DD>"
        operationId #यदि मौजूद हो
        number #भू-विशेषताओं की कुल संख्या
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #प्रति गुण का पूरा विवरण
          name #आँकड़ों से लिंक >> attribute
          transliteratedName
          fullName #यदि मौजूद हो
          unit #यदि मौजूद हो
        }

        createdDate #GeoPard में इकाई का निर्माण तिथि-समय
        updatedDate #अंतिम अपडेट तिथि-समय
        operationType
        operationId
        operationFileDate #फाइल निर्माण तिथि-समय
        operationStartDate #ऑपरेशन की शुरुआत
        
        statistics { #प्रत्येक मिट्टी गुण के लिए आँकड़ों का वितरण
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        name  
        operationId #यदि मौजूद हो 
        number #भू-विशेषताओं की कुल संख्या 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #आँकड़ों से लिंक >> attribute
          transliteratedName
          fullName #यदि मौजूद हो
          unit #यदि मौजूद हो
        }
      
        createdDate #GeoPard में निर्माण तिथि-समय
        updatedDate #GeoPard में अंतिम अपडेट तिथि-समय
        operationFileDate #फाइल निर्माण तिथि-समय (यदि मौजूद हो)
        operationStartDate #ऑपरेशन की शुरुआत (यदि मौजूद हो)
      
        statistics { #प्रत्येक मिट्टी गुण के लिए सांख्यिकीय वितरण
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #दृश्य प्रस्तुति
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/in/api/geopard-api-3/17.-soildatasets.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
